<form
  (ngSubmit)="onSubmit()"
  #form="ngForm"
  *ngIf="userData$ | async as userData"
>
  <input
    type="text"
    name="username"
    placeholder="username"
    [ngModel]="userData?.username"
  />
  <br />
  <input
    type="text"
    name="password"
    placeholder="password"
    [ngModel]="userData?.password"
  />
  <br />
  <button>Submit</button>
</form>
